﻿/////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//Copyright (c) 2009 foldier inc.
//
//Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
//associated documentation files (the "Software"), to deal in the Software without restriction, including 
//without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
//copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the 
//following conditions:
//
//The above copyright notice and this permission notice shall be included in all copies or substantial portions
//of the Software.
//THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED 
//WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
//PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR 
//ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
//LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
//INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
//OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
//IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////

using System;
using System.Data;
using System.Linq;
using System.Xml;
using System.Xml.Linq;
using System.Net;
using System.Configuration;
using System.Collections.Generic;
using System.Text.RegularExpressions;

#if SILVERLIGHT
using System.Windows.Browser;
#else
using System.Web;
using System.Xml.XPath;
#endif

namespace foldier.API
{
    /// <summary>
    /// Object returned by foldier API as user info
    /// </summary>
    public class UserInfo
    {
        #region Protected Data Members

        long m_userID = -1;
        string m_userName = string.Empty;
        string m_userLastName = string.Empty;
        string m_profileUrl = string.Empty;

        #endregion

        /// <summary>
        /// Constructor
        /// </summary>
        public UserInfo()
		{
		}

        /// <summary>
        /// Gets or sets the foldier user ID
        /// </summary>
        public long UserID { set { m_userID = value; } get { return m_userID; } }

        /// <summary>
        /// Gets or sets the foldier usern name
        /// </summary>
        public string UserName { set { m_userName = value; } get { return m_userName; } }

        /// <summary>
        /// Gets or sets the foldier user last name
        /// </summary>
        public string UserLastName { set { m_userLastName = value; } get { return m_userLastName; } }

        /// <summary>
        /// Gets or sets the foldier user profile URL
        /// </summary>
        public string ProfileUrl { set { m_profileUrl = value; } get { return m_profileUrl; } }
    }
}
